System Secret Vault
Get Value of Secret
Retrieve the value and details of a specific system secret by its UUID
POST
Retrieve the value and details of a specific system secret by its UUID.
Base URL
All API requests should be made to:Example request
Request body
| Field | Type | Required | Description |
|---|---|---|---|
secret_uuid | string | Yes | UUID of the secret to retrieve |
Example response
Response fields
Data object
| Field | Type | Description |
|---|---|---|
secret_key | string | The secret key name |
secret_value | string | The actual secret value |
call_key | string | Template syntax to use this secret in webhooks (e.g., {{ #secret_key }}) |
secret_uuid | string | Unique identifier for the secret |
Root fields
| Field | Type | Description |
|---|---|---|
success | boolean | Indicates if the request was successful |
data | object | Secret details object |
Authorizations
API key for authentication. Get this from your dashboard by selecting a brand and going to API Keys section.
Brand UUID for authentication. Get this from your dashboard after adding a brand - it will be displayed in the UI.
Body
application/json
Secret lookup request
UUID of the secret to retrieve

